import {
  Card,
  Collapse,
  Image,
  Space,
  Typography,
  Col,
  Row,
  List,
  Pagination,
} from "antd";
import Meta from "antd/lib/card/Meta";
import Title from "antd/lib/typography/Title";
import React from "react";
import { Link } from "react-router-dom";
import { cardsDataExample, CategoryIO } from "./Preview";

const { Panel } = Collapse;
const { Paragraph } = Typography;

// for browsing movies by categories

const gridStyle: React.CSSProperties = {
  textAlign: "center",
  display: "flex",
};

// TODO replace this with API call for all categories with movies inside - alphabet order ideally
const categories: CategoryIO[] = [
  {
    id: "12345",
    name: "Horror",
    movies: cardsDataExample,
  },
  {
    id: "56789",
    name: "Comedy",
    movies: [
      {
        id: "445",
        name: "Kdo zabil kapitána Alexe",
        originalName: "Who killed Cpt Alex",
        intro: "SUPAKICKA",
        picture:
          "https://external-content.duckduckgo.com/iu/?u=http%3A%2F%2F2ht1mik98ka4dogie28vqc4y.wpengine.netdna-cdn.com%2Fwp-content%2Fuploads%2F2015%2F10%2FWho-Killed-Capt-Alex.jpg&f=1&nofb=1",
        published: "8.8.2015",
        runtimeMinutes: 60,
        director: {
          id: "2323",
          name: "Pastor",
          surname: "LUL",
          birthdate: "unknown",
        },
      },
    ],
  },
];

export const BrowseMovies = () => {
  var panelNum = 0;
  return (
    <div className="browse-container">
      <Space direction="vertical" style={{ padding: "3rem" }} wrap>
        <Collapse>
          {categories.map((category) => {
            panelNum += 1;
            return (
              <Panel header={category.name} key={panelNum}>

<List
    grid={{
      gutter: 16,
      xs: 1,
      sm: 2,
      md: 2,
      lg: 2,
      xl: 4,
      xxl: 6,
    }}
    dataSource={category.movies}
    pagination={{
      pageSize: 6,
    }}
    renderItem={movie => (
      <List.Item>
        <Space>
        <Card
                        cover={
                          <Image
                            width={200}
                            style={{ objectFit: "cover" }}
                            src={movie.picture}
                          ></Image>
                        }
                      >
                        <Link to={`/movie/${movie.id}`}>
                          <Meta
                            title={movie.name}
                            description={
                              <div>
                                {movie.originalName}
                                <br></br>
                                {movie.published}
                              </div>
                            }
                          ></Meta>
                        </Link>
                      </Card>
                      </Space>
      </List.Item>
    )}
  />



                {category.movies.map((movie) => {
                  return (
                    <Space>
                      
                    </Space>
                  );
                })}
              </Panel>
            );
          })}
        </Collapse>
      </Space>
    </div>
  );
};
